import request from '@/utils/request'

// 查询RC审计助手目录列表
export function listRcauditmenu(query) {
  return request({
    url: '/ehs/rcauditmenu/list',
    method: 'get',
    params: query
  })
}

// 查询目录列表
export function listMenu(query) {
  return request({
    url: '/ehs/rcauditmenu/menulist',
    method: 'get',
    params: query
  })
}

// 查询RC审计助手目录详细
export function getRcauditmenu(id) {
  return request({
    url: '/ehs/rcauditmenu/' + id,
    method: 'get'
  })
}

// 新增RC审计助手目录
export function addRcauditmenu(data) {
  return request({
    url: '/ehs/rcauditmenu',
    method: 'post',
    data: data
  })
}

// 修改RC审计助手目录
export function updateRcauditmenu(data) {
  return request({
    url: '/ehs/rcauditmenu',
    method: 'put',
    data: data
  })
}

// 删除RC审计助手目录
export function delRcauditmenu(id) {
  return request({
    url: '/ehs/rcauditmenu/' + id,
    method: 'delete'
  })
}

// 导出RC审计助手目录
export function exportRcauditmenu(query) {
  return request({
    url: '/ehs/rcauditmenu/export',
    method: 'get',
    params: query
  })
}
